Module
Contents
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part Two

Pre prístup k tomuto príkazu...

Vložiť - Funkcia - Kategória Ďalšie

## IMABS

The result is the absolute value of a complex number.

### Syntax

IMABS("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=ABS(12) vráti 12.

## [text/scalc/01/func_imcos.xhp#imcos_head not found].

Returns the cosine of a complex number.

## [text/scalc/01/func_imcosh.xhp#imcosh_head not found].

Returns the hyperbolic cosine of a complex number.

## [text/scalc/01/func_imcot.xhp#imcot_head not found].

Returns the cotangent of a complex number.

## [text/scalc/01/func_imcsc.xhp#imcsc_head not found].

Returns the cosecant of a complex number.

## [text/scalc/01/func_imcsch.xhp#imcsch_head not found].

Returns the hyperbolic cosecant of a complex number.

## [text/scalc/01/func_imsec.xhp#imsec_head not found].

Returns the secant of a complex number.

## [text/scalc/01/func_imsech.xhp#imsech_head not found].

Returns the hyperbolic secant of a complex number.

## [text/scalc/01/func_imsin.xhp#imsin_head not found].

Returns the sine of a complex number.

## [text/scalc/01/func_imsinh.xhp#imsinh_head not found].

Returns the hyperbolic sine of a complex number.

## [text/scalc/01/func_imtan.xhp#imtan_head not found].

Returns the tangent of a complex number.

## COMPLEX

The result is a complex number which is returned from a real coefficient and an imaginary coefficient.

### Syntax

COMPLEX(RealNum; INum; Suffix)

RealNum is the real coefficient of the complex number.

INum is the imaginary coefficient of the complex number.

Suffix is a list of options, "i" or "j".

### Example

=COMBIN(3;2) vráti 3.

## CONVERT

Converts a value from one unit of measure to the corresponding value in another unit of measure. Enter the units of measures directly as text in quotation marks or as a reference. If you enter the units of measure in cells, they must correspond exactly with the following list which is case sensitive: For example, in order to enter a lower case l (for liter) in a cell, enter the apostrophe ' immediately followed by l.

Vlastnosť | Units
Hrúbka | g, sg, lbm, u, ozm, stone, ton, grain, pweight, hweight, shweight, brton
Dĺžka | m, mi, Nmi, in, ft, yd, ang, Pica, ell, parsec, lightyear, survey_mi
Čas | yr, day, hr, mn, sec, s
Pressure | Pa, atm, at, mmHg, Torr, psi
Force | N, dyn, dy, lbf, pond
Energy | J, e, c, cal, eV, ev, HPh, Wh, wh, flb, BTU, btu
Exponent | W, w, HP, PS
Field strength | T, ga
Temperature | C, F, K, kel, Reau, Rank
Zväzok | l, L, lt, tsp, tbs, oz, cup, pt, us_pt, qt, gal, m3, mi3, Nmi3, in3, ft3, yd3, ang3, Pica3, barrel, bushel, regton, Schooner, Middy, Glass
Oblasť | m2, mi2, Nmi2, in2, ft2, yd2, ang2, Pica2, Morgen, ar, acre, ha
Rýchlosť | m/s, m/sec, m/h, mph, kn, admkn
Informácia | bit, byte

Units of measure in bold can be preceded by a prefix character from the following list:

Predpona | Multiplier
Y (yotta) | 10^24
Z (zetta) | 10^21
E (exa) | 10^18
P (peta) | 10^15
T (tera) | 10^12
G (giga) | 10^9
M (mega) | 10^6
k (kilo) | 10^3
h (hecto) | 10^2
e (deca) | 10^1
d (deci) | 10^-1
c (centi) | 10^-2
m (milli) | 10^-3
u (micro) | 10^-6
n (nano) | 10^-9
p (pico) | 10^-12
f (femto) | 10^-15
a (atto) | 10^-18
z (zepto) | 10^-21
y (yocto) | 10^-24

Information units "bit" and "byte" may also be prefixed by one of the following IEC 60027-2 / IEEE 1541 prefixes:

ki kibi 1024

Mi mebi 1048576

Gi gibi 1073741824

Ti tebi 1099511627776

Pi pebi 1125899906842620

Ei exbi 1152921504606850000

Zi zebi 1180591620717410000000

Yi yobi 1208925819614630000000000

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

### Syntax

CONVERT(Number; "FromUnit"; "ToUnit")

Číslo je číslo, ktoré bude testované.

FromUnit is the unit from which conversion is taking place.

ToUnit is the unit to which conversion is taking place. Both units must be of the same type.

### Example

=CONVERT(10;"HP";"PS") returns, rounded to two decimal places, 10.14. 10 HP equal 10.14 PS.

=CONVERT(10;"km";"mi") returns, rounded to two decimal places, 6.21. 10 kilometers equal 6.21 miles. The k is the permitted prefix character for the factor 10^3.

## FACTDOUBLE

Vracia faktoriál čísla.

### Syntax

FACTDOUBLE(Number)

Returns Number !!, the double factorial of Number, where Number is an integer greater than or equal to zero.

For even numbers FACTDOUBLE(n) returns:

2*4*6*8* ... *n

For odd numbers FACTDOUBLE(n) returns:

1*3*5*7* ... *n

=FACT(0) vráti 1 podľa definície.

### Example

=FACT(0) vráti 1.

=FACT(3) vráti 6.

=FACT(0) vráti 1.

## IMAGINARY

The result is the imaginary coefficient of a complex number.

### Syntax

IMAGINARY("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=COMBIN(3;2) vráti 3.

## IMARGUMENT

The result is the argument (the phi angle) of a complex number.

### Syntax

IMARGUMENT("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=SQRT(16) vráti 4.

## IMCONJUGATE

The result is the conjugated complex complement to a complex number.

### Syntax

IMCONJUGATE("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=INT(-1.3) vráti -2.

## IMDIV

The result is the division of two complex numbers.

### Syntax

IMDIV("Numerator"; "Denominator")

Numerator, Denominator are complex numbers that are entered in the form "x+yi" or "x+yj".

### Example

=IMDIV("-238+240i";"10+24i") returns 5+12i.

## IMEXP

Vráti číslo e umocnené na zadané číslo. Konštanta e má hodnotu približne 2.71828182845904.

### Syntax

IMEXP("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMEXP("1+j") returns 1.47+2.29j (rounded).

## IMLN

Vracia prirodzený logaritmus čísla (založený na konštante e = 2.71828182845904). Konštanta e má hodnotu približne 2.71828182845904.

### Syntax

IMLN("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMLN("1+j") returns 0.35+0.79j (rounded).

## IMLOG10

The result is the common logarithm (to the base 10) of a complex number.

### Syntax

IMLOG10("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMLOG10("1+j") returns 0.15+0.34j (rounded).

## IMLOG2

The result is the binary logarithm of a complex number.

### Syntax

IMLOG2("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMLOG2("1+j") returns 0.50+1.13j (rounded).

## IMPOWER

The result is the ComplexNumber raised to the power of Number.

### Syntax

IMPOWER("ComplexNumber"; Number)

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

Number is the exponent.

### Example

=SQRT(16) vráti 4.

## IMPRODUCT

The result is the product of up to 29 complex numbers.

### Syntax

IMPRODUCT("ComplexNumber"; "ComplexNumber1"; ...)

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=ODD(1) vráti 1.

## IMREAL

The result is the real coefficient of a complex number.

### Syntax

IMREAL("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=ODD(1) vráti 1.

## IMSQRT

The result is the square root of a complex number.

### Syntax

IMSQRT("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=SQRT(16) vráti 4.

## IMSUB

The result is the subtraction of two complex numbers.

### Syntax

IMSUB("ComplexNumber1"; "ComplexNumber2")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=ODD(1) vráti 1.

## IMSUM

The result is the sum of up to 29 complex numbers.

### Syntax

IMSUM("ComplexNumber1"; "ComplexNumber2"; ...)

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=ODD(1) vráti 1.

## OCT2BIN

Prevedie zadané číslo v dvojkovej sústave do desiatkovej

### Syntax

DEC2BIN(Číslo; Miesta)

Číslo je binárne číslo. Číslo môže mať maximálne 10 miest (bitov). Najvýznamnejší bit je znamienkový bit. Záporné čísla sú zadané vo formáte dvojkového doplnku.

Miesta znamená počet miest ktoré majú byť na výstupe.

### Example

=COMBIN(3;2) vráti 3.

## OCT2DEC

Prevedie zadané číslo v dvojkovej sústave do desiatkovej

### Syntax

BIN2DEC(Číslo)

Číslo je binárne číslo. Číslo môže mať maximálne 10 miest (bitov). Najvýznamnejší bit je znamienkový bit. Záporné čísla sú zadané vo formáte dvojkového doplnku.

### Example

=EVEN(0) vráti 0.

## OCT2HEX

Prevedie zadané číslo v desiatkovej sústave do šestnástkovej

### Syntax

BIN2HEX(Číslo; Miesta)

Číslo je binárne číslo. Číslo môže mať maximálne 10 miest (bitov). Najvýznamnejší bit je znamienkový bit. Záporné čísla sú zadané vo formáte dvojkového doplnku.

Miesta znamená počet miest ktoré majú byť na výstupe.

### Example

=DEC2HEX(100;4) vráti 0064.

Related Topics

Add-in Functions

Add-in Functions, List of Analysis Functions Part One

Statistics Functions

Functions by Category